Bug 1276859 - unexpected error creating cloud catalog items
unexpected error creating cloud catalog items
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Matthew Draper
Pete Savage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-31 11:04 EDT by Dave Johnson
Modified: 2015-12-08 08:42 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:42:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Johnson 2015-10-31 11:04:30 EDT
Description of problem:
=======================
Test automation hit an unexpected error when trying to create a catalog item with a type of either OpenStack or Amazon.

Partial trace (see full below):
[----] F, [2015-10-31T10:46:25.765861 #2864:10f3998] FATAL -- : Error caught: [NameError] uninitialized constant ManageIQ::Providers::Amazon::CloudManager::ProvisionWorkflow::Flavor
/var/www/miq/vmdb/app/models/manageiq/providers/amazon/cloud_manager/provision_workflow.rb:8:in `allowed_instance_types'



Version-Release number of selected component (if applicable):
5.5.0.8


How reproducible:
100%


Steps to Reproduce:
1.   create new catalog item
2.   select Amazon or OpenStack type
3.

Actual results:


Expected results:


Additional info:
[----] I, [2015-10-31T10:46:02.779110 #2864:10f3998]  INFO -- : Started GET "/catalog/explorer" for 127.0.0.1 at 2015-10-31 10:46:02 -0400
[----] I, [2015-10-31T10:46:02.780640 #2864:10f3998]  INFO -- : Processing by CatalogController#explorer as HTML
[----] I, [2015-10-31T10:46:02.907410 #2864:10f3998]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:02.907705 #2864:10f3998]  INFO -- :   Rendered layouts/_info_msg.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:02.907802 #2864:10f3998]  INFO -- :   Rendered layouts/_x_gtl.html.haml (0.7ms)
[----] I, [2015-10-31T10:46:02.929828 #2864:10f3998]  INFO -- :   Rendered layouts/_my_code_mirror.html.haml (21.8ms)
[----] I, [2015-10-31T10:46:02.929982 #2864:10f3998]  INFO -- :   Rendered catalog/explorer.html.haml within layouts/application (23.0ms)
[----] I, [2015-10-31T10:46:02.930280 #2864:10f3998]  INFO -- :   Rendered layouts/_doctype.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:02.934880 #2864:10f3998]  INFO -- :   Rendered stylesheets/_template50.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:02.939942 #2864:10f3998]  INFO -- :   Rendered layouts/_user_options.html.haml (4.0ms)
[----] I, [2015-10-31T10:46:03.029929 #2864:10f3998]  INFO -- :   Rendered layouts/_page_header_navbar.html.haml (89.8ms)
[----] I, [2015-10-31T10:46:03.030267 #2864:10f3998]  INFO -- :   Rendered layouts/_spinner.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:03.030504 #2864:10f3998]  INFO -- :   Rendered layouts/_lightbox_panel.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:03.030590 #2864:10f3998]  INFO -- :   Rendered layouts/_header.html.haml (95.0ms)
[----] I, [2015-10-31T10:46:03.031129 #2864:10f3998]  INFO -- :   Rendered layouts/_x_history_buttons.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:03.031428 #2864:10f3998]  INFO -- :   Rendered layouts/_center_buttons.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:03.031637 #2864:10f3998]  INFO -- :   Rendered layouts/_x_custom_buttons.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:03.031828 #2864:10f3998]  INFO -- :   Rendered layouts/_x_view_buttons.html.haml (0.0ms)
[----] I, [2015-10-31T10:46:03.054968 #2864:10f3998]  INFO -- :   Rendered layouts/_x_taskbar.html.haml (24.0ms)
[----] I, [2015-10-31T10:46:03.055530 #2864:10f3998]  INFO -- :   Rendered layouts/_x_form_buttons.html.haml (0.0ms)
[----] I, [2015-10-31T10:46:03.055627 #2864:10f3998]  INFO -- :   Rendered layouts/_x_pagingcontrols.html.haml (0.3ms)
[----] I, [2015-10-31T10:46:03.056779 #2864:10f3998]  INFO -- :   Rendered layouts/_dynatree.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:03.056876 #2864:10f3998]  INFO -- :   Rendered shared/_tree.html.haml (0.4ms)
[----] I, [2015-10-31T10:46:03.056962 #2864:10f3998]  INFO -- :   Rendered shared/_explorer_tree.html.haml (0.7ms)
[----] I, [2015-10-31T10:46:03.057887 #2864:10f3998]  INFO -- :   Rendered layouts/_dynatree.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:03.057985 #2864:10f3998]  INFO -- :   Rendered shared/_tree.html.haml (0.5ms)
[----] I, [2015-10-31T10:46:03.058068 #2864:10f3998]  INFO -- :   Rendered shared/_explorer_tree.html.haml (0.7ms)
[----] I, [2015-10-31T10:46:03.058845 #2864:10f3998]  INFO -- :   Rendered layouts/_dynatree.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:03.058941 #2864:10f3998]  INFO -- :   Rendered shared/_tree.html.haml (0.4ms)
[----] I, [2015-10-31T10:46:03.059025 #2864:10f3998]  INFO -- :   Rendered shared/_explorer_tree.html.haml (0.6ms)
[----] I, [2015-10-31T10:46:03.059834 #2864:10f3998]  INFO -- :   Rendered layouts/_dynatree.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:03.059930 #2864:10f3998]  INFO -- :   Rendered shared/_tree.html.haml (0.4ms)
[----] I, [2015-10-31T10:46:03.060013 #2864:10f3998]  INFO -- :   Rendered shared/_explorer_tree.html.haml (0.6ms)
[----] I, [2015-10-31T10:46:03.060184 #2864:10f3998]  INFO -- :   Rendered layouts/listnav/_explorer.html.haml (4.2ms)
[----] I, [2015-10-31T10:46:03.060301 #2864:10f3998]  INFO -- :   Rendered layouts/_listnav.html.haml (4.4ms)
[----] I, [2015-10-31T10:46:03.060425 #2864:10f3998]  INFO -- :   Rendered layouts/_content.html.haml (29.7ms)
[----] I, [2015-10-31T10:46:03.060805 #2864:10f3998]  INFO -- :   Rendered layouts/_adv_search.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:03.060909 #2864:10f3998]  INFO -- :   Rendered layouts/_footer.html.haml (0.3ms)
[----] I, [2015-10-31T10:46:03.069623 #2864:10f3998]  INFO -- : Completed 200 OK in 289ms (Views: 140.4ms | ActiveRecord: 24.9ms)
[----] I, [2015-10-31T10:46:17.430415 #2864:10f3998]  INFO -- : Started POST "/catalog/x_button?pressed=atomic_catalogitem_new" for 127.0.0.1 at 2015-10-31 10:46:17 -0400
[----] I, [2015-10-31T10:46:17.431805 #2864:10f3998]  INFO -- : Processing by CatalogController#x_button as JS
[----] I, [2015-10-31T10:46:17.431931 #2864:10f3998]  INFO -- :   Parameters: {"pressed"=>"atomic_catalogitem_new"}
[----] I, [2015-10-31T10:46:17.748679 #2864:10f3998]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.1ms)
[----] I, [2015-10-31T10:46:17.749432 #2864:10f3998]  INFO -- :   Rendered catalog/_st_form.html.haml (1.4ms)
[----] I, [2015-10-31T10:46:17.750861 #2864:10f3998]  INFO -- :   Rendered layouts/_x_edit_buttons.html.haml (1.0ms)
[----] I, [2015-10-31T10:46:17.761754 #2864:10f3998]  INFO -- : Completed 200 OK in 330ms (Views: 0.2ms | ActiveRecord: 44.5ms)
[----] I, [2015-10-31T10:46:23.277316 #2864:10f3998]  INFO -- : Started POST "/catalog/atomic_form_field_changed/new?st_prov_type=amazon" for 127.0.0.1 at 2015-10-31 10:46:23 -0400
[----] I, [2015-10-31T10:46:23.278790 #2864:10f3998]  INFO -- : Processing by CatalogController#atomic_form_field_changed as JS
[----] I, [2015-10-31T10:46:23.278865 #2864:10f3998]  INFO -- :   Parameters: {"st_prov_type"=>"amazon", "id"=>"new"}
[----] F, [2015-10-31T10:46:25.765861 #2864:10f3998] FATAL -- : Error caught: [NameError] uninitialized constant ManageIQ::Providers::Amazon::CloudManager::ProvisionWorkflow::Flavor
/var/www/miq/vmdb/app/models/manageiq/providers/amazon/cloud_manager/provision_workflow.rb:8:in `allowed_instance_types'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:292:in `get_field'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:279:in `block in get_all_fields'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:279:in `each_key'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:279:in `get_all_fields'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:121:in `block in init_from_dialog'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:120:in `each'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:120:in `init_from_dialog'
/var/www/miq/vmdb/app/controllers/application_controller/miq_request_methods.rb:798:in `prov_set_form_vars'
/var/www/miq/vmdb/app/controllers/catalog_controller.rb:156:in `atomic_form_field_changed'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/base.rb:137:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionview/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal.rb:237:in `block in action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/routing/route_set.rb:817:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/conditionalget.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/flash.rb:260:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/cookies.rb:560:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/query_cache.rb:36:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:88:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/rack/logger.rb:38:in `call_app'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/rack/logger.rb:22:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/request_id.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/lock.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/engine.rb:518:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/application.rb:165:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/content_length.rb:15:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:86:in `block in pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `catch'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:53:in `process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:39:in `receive_data'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/backends/base.rb:73:in `start'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/server.rb:162:in `start'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in `run'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/server.rb:286:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/server.rb:80:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:80:in `block in server'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:75:in `tap'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:75:in `server'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
Comment 2 Greg McCullough 2015-11-02 12:05:39 EST
Looks like the same issue reported here https://github.com/ManageIQ/manageiq/pull/5126 and ultimately fixed here: https://github.com/ManageIQ/manageiq/pull/5136.

It looks like we might need the same fix for all calls to get_targets_for_ems from provision_worklflow.rb which means:

app/models/manageiq/providers/openstack/cloud_manager/provision_workflow.rb
app/models/manageiq/providers/cloud_manager/provision_workflow.rb
app/models/manageiq/providers/openstack/cloud_manager/provision_workflow.rb
Comment 3 mkanoor 2015-11-03 15:03:17 EST
This might be related to delayed loading of classes added in PR
https://github.com/ManageIQ/manageiq/pull/4912
Comment 4 mkanoor 2015-11-05 10:06:13 EST
This problem only happens when you don't have any providers defined in the system.
This issue has been fixed in Matthew Draper's PR https://github.com/ManageIQ/manageiq/pull/5270
Comment 6 CFME Bot 2015-11-13 13:18:35 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=e83708013130225a168ba0134436582c6f7a071d

commit e83708013130225a168ba0134436582c6f7a071d
Author:     Matthew Draper <mdraper@redhat.com>
AuthorDate: Wed Nov 4 08:09:59 2015 +1030
Commit:     Matthew Draper <mdraper@redhat.com>
CommitDate: Thu Nov 12 06:04:18 2015 +1030

    Avoid name conflicts between top-level and nested constants
    
    If the nested constant is defined, its top level equivalent must be
    defined too... otherwise the Rails autoloader can get confused.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276859

 lib/extensions/require_nested.rb | 7 +++++++
 1 file changed, 7 insertions(+)
Comment 7 CFME Bot 2015-11-13 13:18:41 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=6eb275de16611bf4a70019484bff59d819e59706

commit 6eb275de16611bf4a70019484bff59d819e59706
Merge: 3f364be e837080
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Nov 12 15:17:06 2015 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Nov 12 15:17:06 2015 -0500

    Merge branch 'avoid-top-level-shadows-55' into '5.5.z'
    
    Avoid name conflicts between top-level and nested constants
    
    If the nested constant is defined, its top level equivalent must be
    defined too... otherwise the Rails autoloader can get confused.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276859
    
    Upstream: https://github.com/ManageIQ/manageiq/pull/5270
    
    See merge request !416

 lib/extensions/require_nested.rb | 7 +++++++
 1 file changed, 7 insertions(+)
Comment 8 Pete Savage 2015-11-19 09:13:16 EST
Verified in 5.5.0.11
Comment 10 errata-xmlrpc 2015-12-08 08:42:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.